Browser Panel

2018-11-08 01:42 PM - Almerio Moreira

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Windows 7 Professional Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28231

Description

Browser Panel became too slow (it takes too long to answer, freezing Qgis for some seconds) after update from Qgis 3.3 to Qgis 3.4.1

To Verify just open the Browser Panel widget or navigate to any folder using the Browser Panel.

The same happens with a clean profile and with the Browser Panel 2 too.

Associated revisions

Revision 2c64cece - 2019-02-06 06:14 PM - Nyall Dawson

[browser] Avoid always opening every file using gdal to test for

update capabilities

This is no longer required - it was previously done in order to

detect if the item should expose the SetCrs capability, but

that's deprecated and unused.

Fixes #16807, fixes #20411, and avoids QGIS opening every file encountered in

the browser even when the Data Source setting is set to the

default (fast) "Check Extension" setting only.

Revision 331f590a - 2019-02-07 03:53 AM - Nyall Dawson

[browser] Avoid always opening every file using gdal to test for

update capabilities

This is no longer required - it was previously done in order to

detect if the item should expose the SetCrs capability, but

that's deprecated and unused.

Fixes #16807, fixes #20411, and avoids QGIS opening every file encountered in

the browser even when the Data Source setting is set to the

default (fast) "Check Extension" setting only.

(cherry picked from commit 2c64cece0d1a51c37d27c1b11e76d76bb62184f3)

History
#1 - 2018-11-08 03:28 PM - Martin Dobias

Is this slowness when you are opening folders in the directory tree? Or when opening e.g. database connections or WMS connections? A short screen

recording could help us to understand your problem and the delay you are getting. Whenever browser item is getting populated with layers this should be

happening in the background, not freezing the user interface.

#2 - 2018-11-08 03:39 PM - Giovanni Manghi

- Category changed from GUI to Browser

- Status changed from Open to Feedback

#3 - 2018-11-08 06:26 PM - Almerio Moreira

Martin Dobias wrote:

Is this slowness when you are opening folders in the directory tree? Or when opening e.g. database connections or WMS connections? A short

screen recording could help us to understand your problem and the delay you are getting. Whenever browser item is getting populated with layers

this should be happening in the background, not freezing the user interface.

It is slow even to open the Browser Panel widget and remains very slow on any interaction; open folders tree, database or wms connections ( I tested with

this all).

It is slow to drag the panel either or on any interaction.

Sorry I do not have a Video recorded software installed here for now. If you want I can try it later.

#4 - 2018-11-08 06:27 PM - Giovanni Manghi

Almerio Moreira wrote:

If you want I can try it later.

yes please.

#5 - 2018-11-08 07:50 PM - Almerio Moreira

- File QgisBrowserPanel_issue1.zip added

Giovanni Manghi wrote:

Almerio Moreira wrote:

If you want I can try it later.

yes please.

I had to record the video in low resolution because of the file size limit here. Observe the time that I click (the cursor blinks) until Qgis answer it.

I hope you can undestand the video, It's my first screen record.
#6 - 2018-11-08 07:56 PM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2019-01-15 01:22 PM - Almerio Moreira

Almerio Moreira wrote:

I solved by enable the "Fast Scan this directory" option on each directory!

So, maybe it could be the enabled by default!

#8 - 2019-02-06 06:13 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|2c64cece0d1a51c37d27c1b11e76d76bb62184f3.

Files

QgisBrowserPanel_issue1.zip 3.98 MB 2018-11-08 Almerio Moreira
